﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Documents;
using Infragistics.Documents.Reports.Report;
using Infragistics.Documents.Reports.Report.Section;

namespace PrintMultipleGridsSingleDoc
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            //Create a DataSet for the grids
            DataSet ds = new DataSet();

            //Create DataTables which will be used to populate the grids with test data
            DataTable dt1 = new DataTable("DataTable1");
            DataTable dt2 = new DataTable("DataTable2");

            //Assign columns to DataTable #1
            dt1.Columns.Add("testColumn1", (typeof(string)));
            dt1.Columns.Add("testColumn2", (typeof(string)));
            dt1.Columns.Add("testColumn3", (typeof(string)));

            //Assign columns to DataTable #2
            dt2.Columns.Add("testColumn1", (typeof(string)));
            dt2.Columns.Add("testColumn2", (typeof(string)));
            dt2.Columns.Add("testColumn3", (typeof(string)));

            //populate each cell with test data
            for (int i = 0; i < 10; i++ )
            {
                dt1.Rows.Add("column1TestRow" + i.ToString(), "column2TestRow" + i.ToString(), "column3TestRow" + i.ToString());
                dt2.Rows.Add("column1TestRow" + i.ToString(), "column2TestRow" + i.ToString(), "column3TestRow" + i.ToString());
            }

            //Resize columns to ensure that each cell can display the test data assigned to it
            ultraGrid1.DisplayLayout.AutoFitStyle = Infragistics.Win.UltraWinGrid.AutoFitStyle.ResizeAllColumns;
            ultraGrid2.DisplayLayout.AutoFitStyle = Infragistics.Win.UltraWinGrid.AutoFitStyle.ResizeAllColumns;

            //Assign these Tables to the DataSet
            ds.Tables.Add(dt1);
            ds.Tables.Add(dt2);

            //Bind data to the Grids
            ultraGrid1.SetDataBinding(ds, "DataTable1");
            ultraGrid2.SetDataBinding(ds, "DataTable2");

            //Create a new report object, (using Infragistics.Documents.Reports.Report;)
            Report report = new Report();

            //Add a section to this report
            ISection reportSection = report.AddSection();

            //Assign the Grid data to the newly generated report section
            //This will allow the Grid data to be displayed on the same document
            this.ultraGridDocumentExporter1.Export(this.ultraGrid1, reportSection);
            this.ultraGridDocumentExporter1.Export(this.ultraGrid2, reportSection);

            //Print the report, after supplying your local printer's name
            report.Print(@"\\<Printer Name here>)");
        }
    }
}
